techrar docs
Home
Solutions
Solutions
  • eCommerce SaaS
  • Meals SaaS
  • Meals Marketplaces
API
API
  • Merchant APIs
  • Customer App APIs
  • Meals APIs
Techrar Connect
Home
Solutions
Solutions
  • eCommerce SaaS
  • Meals SaaS
  • Meals Marketplaces
API
API
  • Merchant APIs
  • Customer App APIs
  • Meals APIs
Techrar Connect
  1. Subscriptions
  • SaaS Meal Subscription
  • Merchant APIs
    • List Merchant Orders
  • Customer APIs
    • Subscriptions
      • Subscriptions
        • List Subscriptions
          GET
        • Subscription Details
          GET
        • Change Subscription Location
          PATCH
        • Postpone/Pause/Resume SubOrders
          POST
        • Renew Subscription
          POST
        • List Subscription Orders
          GET
      • SubOrders
        • Customer SubOrders
        • Change SubOrder Location
        • Bulk Change Suborder Location
        • Change Meals
        • Change Delivery Window
        • Bulk Change Delivery Window
        • Bulk Change PickUp Branch
        • Frozen/Postponed SubOrders
        • Pre-Order
      • Complaints
        • Complain SubOrder
        • List Complaint Reasons
        • Complaint Details
      • invoices
        • List SubOrder Invoices
    • Plans
      • V3
        • Plan Tag
        • List Super Plans
        • Super Plan Details
        • Plan Date Details
        • List Feature Plan Tags
        • List Featured Plans
        • Plan Menu Categories
        • Has Purchased Plan
    • Order
      • Place Order
        • Place Order
        • List orders
        • Order Details
        • Vouchered Cart
        • Discounted Cart
        • Redeemed Cart
        • Add-On Order
        • Redeemed Add-Ons Cart
    • Menus
      • List Menus
      • Menu Details
      • Menu Add-Ons Details
      • Menu Options
    • Restaurant
      • List Restaurant
      • Restaurant Details
      • List Restaurant Branch
      • On-Demand Restaurants
      • Restaurant Menu
      • List Restaurant Categories
      • Product Details
      • Combo Details
      • Wallet Credit Products
      • Allergen Dislikes List
      • Product Variants List
      • Restaurant Variants List
    • Vouchers
      • Featured Vouchers List
    • configs
      • App Config Details
      • Light App Config
      • List Mobile Connectors
    • Prime
      • Corporate Location Details
  1. Subscriptions

Change Subscription Location

PATCH
https://api.techrar.com/api/v3/subscriptions/{subscription_id}/
This endpoint allows the customer to update or change the delivery location of their subscription.

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Path Params

Header Params

Body Params application/json

Examples

Responses

🟢200Success
application/json
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request PATCH 'https://api.techrar.com/api/v3/subscriptions/8190/' \
--header 'app-id: 4' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
    "primary_location_id": 2613,
    "secondary_location_id": 2562
}'
Response Response Example
{
    "id": 8190,
    "custom_fields": null,
    "plan": {
        "id": 600,
        "custom_fields": {},
        "restaurants": [
            {
                "id": 90,
                "name_ar": "يو اي تي",
                "name_en": "UAT",
                "logo": "/media/uploads/restaurants/menus/2024/03/06/9a2e53f0-944d-452f-b8a8-d0fd1489b1a3.png",
                "supports_pickup": true,
                "supports_delivery": true,
                "closed_dates": []
            }
        ],
        "plan_tags": [
            {
                "id": 64,
                "custom_fields": null,
                "app_id": 90,
                "created_at": "2024-04-23T10:55:56.173219+03:00",
                "modified_at": "2025-05-22T16:15:23.237191+03:00",
                "is_deleted": false,
                "deleted_at": null,
                "ordering": 1,
                "type_en": "techrar",
                "type_ar": null,
                "tag_en": "One Day Trials",
                "tag_ar": "تجربة يوم واحد",
                "is_featured": false,
                "featured_plan_id": 218,
                "is_active": true,
                "image": "/media/uploads/plans/plan-tags/images/2024/11/21/3706bf92-11db-4e59-be00-ff96ad8145f0.png",
                "color": "#c3a632",
                "description_en": "",
                "description_ar": null,
                "corporate": 31
            }
        ],
        "versions": [
            {
                "id": 1309,
                "custom_fields": null,
                "min_start_date": "2025-11-27",
                "max_start_date": "2026-01-23",
                "app_id": null,
                "created_at": "2025-05-15T17:46:55.714526+03:00",
                "modified_at": "2025-05-15T18:53:13.932559+03:00",
                "is_deleted": false,
                "deleted_at": null,
                "ordering": 0,
                "num_of_days": 30,
                "off_days": [
                    "Fri",
                    "Sat"
                ],
                "total_num_of_items": 30,
                "delivery_price": 0.0,
                "original_price": 100.0,
                "discount_percentage": 0.0,
                "is_active": true,
                "duration": null,
                "pause_credits": null,
                "num_of_pause_attempts": null,
                "min_of_pause_days": null,
                "items_details": null,
                "version_type": null,
                "plan": 600,
                "restaurant_branch": null
            }
        ],
        "repetition": 1,
        "start_date": "2025-02-18",
        "max_end_date": "2026-03-24",
        "skip_option_selection": true,
        "size": {
            "id": 122,
            "custom_fields": null,
            "app_id": null,
            "created_at": "2025-05-07T09:20:47.923857+03:00",
            "modified_at": "2025-05-07T09:20:47.923870+03:00",
            "is_deleted": false,
            "deleted_at": null,
            "ordering": 0,
            "title": "Piscitarian",
            "protein_amount": 120.0,
            "unit": "gram",
            "carb_amount": 250.0,
            "restaurant": 90
        },
        "app_id": null,
        "created_at": "2025-05-15T17:46:55.444220+03:00",
        "modified_at": "2025-05-15T18:53:13.938234+03:00",
        "is_deleted": false,
        "deleted_at": null,
        "ordering": 0,
        "name_ar": "tttt",
        "name_en": "tttt",
        "subtitle_ar": null,
        "subtitle_en": null,
        "daily_num_of_meals": 1,
        "image": "/media/uploads/plans/images/2025/05/15/6502cbdd-92da-42f0-b29c-280a7ab7fc6b.png",
        "description_ar": null,
        "description_en": null,
        "daily_num_of_items": 2,
        "avg_daily_meal_calories": 0.0,
        "start_after": 3,
        "is_active": true,
        "reference": null,
        "selling_price": null,
        "special_product_selection_limit": null,
        "featured_title_en": "tst",
        "featured_title_ar": "ff",
        "is_featured": true,
        "is_marketplace_featured": false,
        "is_marketplace_active": false,
        "supported_service": "pickup",
        "gender": null,
        "image_ar": null,
        "subscription_type": "credit_based",
        "menu": 43
    },
    "actual_num_of_days": 30,
    "num_of_days": 3,
    "num_of_remaining_days": 0,
    "primary_location": {
        "id": 2613,
        "custom_fields": null,
        "city": {
            "id": 1,
            "custom_fields": null,
            "app_id": null,
            "created_at": "2022-03-12T20:16:56.847917+03:00",
            "modified_at": "2024-05-07T14:36:31.000029+03:00",
            "is_deleted": false,
            "deleted_at": null,
            "ordering": 0,
            "name_ar": "جده",
            "name_en": "Jeddah",
            "country_code": "SA",
            "keywords": "Jeddah,jeddah,جدة,جده",
            "is_supported": true
        },
        "location_url": "https://maps.google.com/?q=21.602493063070646,39.10834543362559",
        "app_id": null,
        "created_at": "2025-03-27T19:01:35.175936+03:00",
        "modified_at": "2025-11-13T14:56:01.167941+03:00",
        "is_deleted": false,
        "deleted_at": null,
        "ordering": 0,
        "name_ar": "work",
        "name_en": "work",
        "longitude": "39.10834543362559",
        "latitude": "21.602493063070646",
        "address1": "J425+X8F, Al Kurnaysh Rd, As Shati، Jeddah 23511",
        "address2": null,
        "place_id": "ChIJFwmXLqrbwxUR4ay8zjMv-_w",
        "postal_code": "23612",
        "formatted_address": "7295 Al Kurnaysh Br Rd, Ash Shati, Jeddah 23612, Saudi Arabia",
        "district": "Ash Shati",
        "district_ar": null,
        "city_name_en": "Jeddah",
        "city_name_ar": null,
        "route": "Al Kurnaysh Branch Road",
        "street_number": "7295",
        "is_synced": true,
        "type": "work",
        "description": "branch location",
        "is_default": false,
        "image": null,
        "deleted_from": null,
        "agnostic_city_id": null,
        "agnostic_district_id": null,
        "zone": 95,
        "customer_profile": 770
    },
    "secondary_location": {
        "id": 2613,
        "custom_fields": null,
        "city": {
            "id": 1,
            "custom_fields": null,
            "app_id": null,
            "created_at": "2022-03-12T20:16:56.847917+03:00",
            "modified_at": "2024-05-07T14:36:31.000029+03:00",
            "is_deleted": false,
            "deleted_at": null,
            "ordering": 0,
            "name_ar": "جده",
            "name_en": "Jeddah",
            "country_code": "SA",
            "keywords": "Jeddah,jeddah,جدة,جده",
            "is_supported": true
        },
        "location_url": "https://maps.google.com/?q=21.602493063070646,39.10834543362559",
        "app_id": null,
        "created_at": "2025-03-27T19:01:35.175936+03:00",
        "modified_at": "2025-11-13T14:56:01.167941+03:00",
        "is_deleted": false,
        "deleted_at": null,
        "ordering": 0,
        "name_ar": "work",
        "name_en": "work",
        "longitude": "39.10834543362559",
        "latitude": "21.602493063070646",
        "address1": "J425+X8F, Al Kurnaysh Rd, As Shati، Jeddah 23511",
        "address2": null,
        "place_id": "ChIJFwmXLqrbwxUR4ay8zjMv-_w",
        "postal_code": "23612",
        "formatted_address": "7295 Al Kurnaysh Br Rd, Ash Shati, Jeddah 23612, Saudi Arabia",
        "district": "Ash Shati",
        "district_ar": null,
        "city_name_en": "Jeddah",
        "city_name_ar": null,
        "route": "Al Kurnaysh Branch Road",
        "street_number": "7295",
        "is_synced": true,
        "type": "work",
        "description": "branch location",
        "is_default": false,
        "image": null,
        "deleted_from": null,
        "agnostic_city_id": null,
        "agnostic_district_id": null,
        "zone": 95,
        "customer_profile": 770
    },
    "primary_location_id": 2613,
    "secondary_location_id": 2613,
    "can_cancel": false,
    "min_cancel_date": "2025-11-27",
    "max_cancel_date": "2025-11-27",
    "min_resume_date": "2025-11-27",
    "max_resume_date": "2026-07-22",
    "cancel_credits": 3,
    "plan_version": {
        "id": 1309,
        "custom_fields": null,
        "min_start_date": "2025-11-27",
        "max_start_date": "2026-01-23",
        "app_id": null,
        "created_at": "2025-05-15T17:46:55.714526+03:00",
        "modified_at": "2025-05-15T18:53:13.932559+03:00",
        "is_deleted": false,
        "deleted_at": null,
        "ordering": 0,
        "num_of_days": 30,
        "off_days": [
            "Fri",
            "Sat"
        ],
        "total_num_of_items": 30,
        "delivery_price": 0.0,
        "original_price": 100.0,
        "discount_percentage": 0.0,
        "is_active": true,
        "duration": null,
        "pause_credits": null,
        "num_of_pause_attempts": null,
        "min_of_pause_days": null,
        "items_details": null,
        "version_type": null,
        "plan": 600,
        "restaurant_branch": null
    },
    "next_order": null,
    "selected_options_ids": [],
    "restaurant_branch": {
        "id": 67,
        "custom_fields": null,
        "location": {
            "id": 1710,
            "custom_fields": null,
            "city": {
                "id": 1,
                "custom_fields": null,
                "app_id": null,
                "created_at": "2022-03-12T20:16:56.847917+03:00",
                "modified_at": "2024-05-07T14:36:31.000029+03:00",
                "is_deleted": false,
                "deleted_at": null,
                "ordering": 0,
                "name_ar": "جده",
                "name_en": "Jeddah",
                "country_code": "SA",
                "keywords": "Jeddah,jeddah,جدة,جده",
                "is_supported": true
            },
            "location_url": "https://maps.google.com/?q=21.586573602258913,39.130210876464844",
            "app_id": null,
            "created_at": "2024-03-06T11:44:41.127413+03:00",
            "modified_at": "2025-02-27T10:08:24.714255+03:00",
            "is_deleted": false,
            "deleted_at": null,
            "ordering": 0,
            "name_ar": "فرع",
            "name_en": "branch",
            "longitude": "39.130210876464844",
            "latitude": "21.586573602258913",
            "address1": "3543 Muhammed Ibn Wasil, 7674, AR Rabwah District, Jeddah 23446, Saudi Arabia",
            "address2": null,
            "place_id": "ChIJk7b9tfPawxURpp8oHc2utCM",
            "postal_code": "23425",
            "formatted_address": "حي, JEZC7442, 7442 Ahmad Al Attas, 2692, Al Zahra, Jeddah 23425, Saudi Arabia",
            "district": "Al Zahra",
            "district_ar": null,
            "city_name_en": "Jeddah",
            "city_name_ar": null,
            "route": "Ahmad Al Attas",
            "street_number": "7442",
            "is_synced": true,
            "zone": 33
        },
        "app_id": null,
        "created_at": "2024-03-06T11:44:42.305931+03:00",
        "modified_at": "2025-02-27T10:08:24.719081+03:00",
        "is_deleted": false,
        "deleted_at": null,
        "ordering": 0,
        "name_en": "Jeddah",
        "name_ar": "جدة",
        "on_demand_opened": true,
        "on_demand_delivery_price": 0.0,
        "on_demand_min_charge": 0.0,
        "branch_hours": "-",
        "is_active": true,
        "is_main": false,
        "is_dispatch": false,
        "gender": null,
        "restaurant": 90,
        "handler": 151
    },
    "support_number": null,
    "addon_orders_ids": "[]",
    "app_id": 90,
    "created_at": "2025-05-20T19:55:59.442963+03:00",
    "modified_at": "2025-05-20T19:59:11.722002+03:00",
    "is_deleted": false,
    "deleted_at": null,
    "ordering": 0,
    "name_ar": "tttt",
    "name_en": "tttt",
    "start_date": "2025-05-20",
    "end_date": "2025-05-20",
    "avg_daily_meal_calories": 0.0,
    "daily_delivery_price": 0.0,
    "delivery_price": 0.0,
    "daily_meal_price": 3.3333333333333335,
    "original_price": 100.0,
    "discount_percentage": 0.0,
    "notes": "-",
    "status": "finished",
    "paused_days": 0,
    "pause_attempts_credits": 2,
    "secondary_mobile_number": null,
    "restricted_location": false,
    "is_prime": false,
    "corporate_location_id": null,
    "is_saas": true,
    "is_pickup": true,
    "restaurant_branch_id": 67,
    "order_id": 5340,
    "voucher_id": 142527,
    "voucher_code": "ML100",
    "is_first_subscription": false,
    "city_id": 1,
    "has_transferred": false,
    "is_archived": false,
    "refund_method": null,
    "transfer_history": null,
    "number_of_items": 30,
    "remaining_items": 0,
    "selected_variants_ids": null,
    "paused_addons": null,
    "paused_queue": null,
    "items_details": null,
    "dispatch_branch_id": null,
    "customer_profile": 770,
    "delivery_window": 54,
    "channel": null,
    "corporate": null
}
Modified at 2025-11-25 07:38:51
Previous
Subscription Details
Next
Postpone/Pause/Resume SubOrders
Built with